/***************************************************************************
                          udp.h  -  UDP header
                             -------------------
    begin                : Tue Apr 2 2002
    copyright            : (C) 2002 by Josiah Zayner
    email                : phric@legions.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _UDP_H
#define _UDP_H

#ifndef _NETINET_UDP_H
#include <netinet/udp.h>
#endif

#define S_UDP      sizeof(struct udphdr)

#ifdef _CON_

int get_udp_arg(char *arg,
                char *next_arg,
                struct udphdr *pdu
               );

int udp_sorcery(char *pack,
                u_short pack_sz,
                u_char dport,
                struct in_addr daddr,
                int num
               );

#endif /* _CON_ */

#endif /* _UDP_H */

